MONGOC_CURSOR_DESTROY(3)

NAME
mongoc_cursor_destroy() - Frees a mongoc_cursor_t and releases all associated resources. If a server-side cursor has been allocated, it will be released as well.

SYNOPSIS

void
mongoc_cursor_destroy (mongoc_cursor_t *cursor);

PARAMETERS

cursor
    A mongoc_cursor_t \&.

DESCRIPTION

Frees a mongoc_cursor_t and releases all associated resources. If a server-side cursor has been allocated, it will be released as well.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.